#!/bin/bash

# Build script for the JSON:API Explorer React app

cd "$(dirname "$0")/react-app"

# Check if yarn is installed
if command -v yarn &> /dev/null; then
  echo "Installing dependencies with yarn..."
  yarn install
  
  echo "Building React app with yarn..."
  yarn build
else
  echo "Error: Yarn is not installed. Please install yarn and try again."
  echo "Visit https://yarnpkg.com/getting-started/install for installation instructions."
  exit 1
fi

echo "Build completed!"